<script src="https://code.highcharts.com/highcharts.src.js"></script>
<center><div id = "container" style="width:50%; height:550px;" data-match = "{{ season_wise_count }}"></div></center>>
<script>
  var div  = document.getElementById('container');
  var json_data = JSON.parse(div.dataset.match);

  var teams = ['Sunrisers Hyderabad','Royal Challengers Bangalore','Mumbai Indians',
  			   'Rising Pune Supergiant','Gujarat Lions','Kolkata Knight Riders','Kings XI Punjab', 
  			   'Delhi Daredevils','Chennai Super Kings','Rajasthan Royals','Deccan Chargers',
  			   'Kochi Tuskers Kerala','Pune Warriors','Rising Pune Supergiants']

  var years= {"2008":0,"2009":1,"2010":2,"2011":3,"2012":4,"2013":5,"2014":6,"2015":7,"2016":8,"2017":9}
  var year_wise_winner = [0,0,0,0,0,0,0,0,0,0]
  var wins = []
  var year
  var win
  var count
  var position
  for(var key in teams) {
  	for(var i = 0; i<json_data.length;i++) {
    	year = json_data[i].season
    	win = json_data[i].winner
    	count = json_data[i].total_win
    	if(teams[key] == win && win != "") {
    		position = years[year]
    		year_wise_winner[position] = count
    	}
  	}
  	wins.push(year_wise_winner) 
  	year_wise_winner = [0,0,0,0,0,0,0,0,0,0] 
  }


  var chart = Highcharts.chart('container', {
    chart: {
        type: 'column'
    },
    title: {
        text: 'Stacked bar chart of winners'
    },
    xAxis: {
        categories: [2008,2009,2010,2011,2012,2013,2014,2015,2016,2017],
        title : {
              text : 'season'
        }
    },
    yAxis: {
        title: {
            text: 'Teams'
        }
    },
    plotOptions: {
        series: {
            stacking: 'normal'
        }
    },
    series: [{

        name: 'Sunrisers Hyderabad',
        data: wins[0]
    }, {
        name: 'Royal Challengers Bangalore',
        data: wins[1]
    }, {
        name: 'Mumbai Indians',
        data: wins[2]
    }, {
        name: 'Rising Pune Supergiant',
        data: wins[3]
    }, {
        name: 'Gujarat Lions',
        data: wins[4]
    }, {
        name: 'Kolkata Knight Riders',
        data: wins[5]
    }, {
        name: 'Kings XI Punjab',
        data: wins[6]
    }, {
        name: 'Delhi Daredevils',
        data: wins[7]
    }, {
        name: 'Chennai Super Kings',
        data: wins[8]
    }, {
        name: 'Rajasthan Royals',
        data: wins[9]
    }, {
        name: 'Deccan Chargers',
        data: wins[10]
    }, {
        name: 'Kochi Tuskers Kerala',
        data: wins[11]
    }, {
        name: 'Pune Warriors',
        data: wins[12]
    }, {
        name: 'Rising Pune Supergiants',
        data: wins[13]

    }]
});
</script>